<?php
$title = 'Движение средств';
require ('../core/sys.php');
require ('../core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
?><div class="top"> Движение средств </div><?
$k_post = $db->prepare("SELECT * FROM `history_money` WHERE `us` = ?");
$k_post -> execute([$user['id']]);
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="box"><center>Пусто</center></div><?
}
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `history_money` WHERE `us` = ? ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([$user['id']]);
$all = $all -> fetchAll();
foreach($all as $row){
if($row['money'] > 0) $color = 'green'; else $color = 'red';
echo '
<div class="box">
                <b>ID:</b> '.$row['id'].'<br/>
                <b>Время:</b> '.vremja($row['time']).'<br/>
                <b>Сумма:</b> <span style="color:'.$color.'"><b>'.$row['money'].'</b></span><br/>
                <b>Комментарий:</b> '.$row['comm'].'<br/>
            </div>
';


}

if($k_page >1){
echo str('/platform/history.aspx',$k_page,$page);
}
require ('../core/foot.php');
?>